Bug 1471410 - Problems with nouveau driver in F26 PRAMIN exhausted
Problems with nouveau driver in F26 PRAMIN exhausted
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1491565
  Show dependency treegraph
 
Reported: 2017-07-15 13:32 EDT by Nicola
Modified: 2018-05-29 08:13 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:13:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicola 2017-07-15 13:32:15 EDT
Description of problem:
After upgrading to F26, 

Version-Release number of selected component (if applicable):
F26
kernel 4.11.9-300.fc26.x86_64
xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64

How reproducible:
Start Wayland and look at dmesg:
nouveau 0000:01:00.0: imem: PRAMIN exhausted


Steps to Reproduce:
1. Start Wayland
2.  Wait for dmesg: mouveau 0000:01:00.0: imem: PRAMIN exhausted

3. Strange behaviour of gnome shell afterwards

Actual results:
Gnome shell slows down and behaves strangely. For instance, I use
a key combination to start terminal and nautilus. I have to wait
for several seconds for them to appear. Strangely it doesn't occur when 
clicking on icon, or when using x11 (not tried extensively with x11 though).

Expected results:
There was no such behaviour in F25, even with kernel
4.11.9-200.fc25

and
xorg-x11-drv-nouveau-1.0.15-2.fc25.x86_64

Additional info:
in dmesg one will find a few  lines like the following:
nouveau 0000:01:00.0: imem: PRAMIN exhausted

Observed on two different boxes, one with
VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)
the other with an older model of nvidia, 8400.

Previously with F25 it didn't happen.
Seems independent from gnome-shell version, F26 upgraded to latest packages.
Comment 1 Nicola 2017-07-15 13:33:33 EDT
Perhaps related to:
https://bugzilla.redhat.com/show_bug.cgi?id=1457626
Comment 2 Laura Abbott 2017-07-17 10:34:26 EDT
Moving to have the nouveau team take a look
Comment 3 Amadeus W.M. 2017-07-24 01:45:39 EDT
Same here. Slow starting gnome-terminal only via keyboard shortcut. Starts instantly if I first search for it in the gnome shell and select it. Also starts instantly from the command line in another terminal. 

I also get the

[ 1134.683927] nouveau 0000:01:00.0: imem: PRAMIN exhausted



lspci  | grep -i VGA
01:00.0 VGA compatible controller: NVIDIA Corporation G86 [Quadro NVS 290] (rev a1)

I'll be happy to provide any additional info if need be.
Comment 4 Random User 2017-08-29 18:07:09 EDT
Reporting same (nouveau 0000:07:00.0: imem: PRAMIN exhausted).
07:00.0 VGA compatible controller: NVIDIA Corporation G96 [GeForce 9500 GT] (rev a1)
Comment 5 Jan Vlug 2017-09-16 06:15:11 EDT
I have this issue as well. I saw it when a second user logged in on the system via gdm.
For details of my system see bug 1491565.
Comment 6 Nick Lee 2017-10-13 12:29:31 EDT
03:00.0 VGA compatible controller: NVIDIA Corporation C79 [GeForce 9300 / nForce 730i] (rev b1)

Gnome Wayland session, kernel-4.13.5-200.fc26.x86_64

My dmesg:
[ 2057.254642] nouveau 0000:03:00.0: systemd-logind[746]: fail ttm_validate
[ 2057.254647] nouveau 0000:03:00.0: systemd-logind[746]: validating bo list
[ 2057.254662] nouveau 0000:03:00.0: systemd-logind[746]: validate: -12
[ 2088.802747] nouveau 0000:03:00.0: gr: TRAP_PROP - TP 0 - 00020000 [] - Address 0000000000
[ 2088.802754] nouveau 0000:03:00.0: gr: TRAP_PROP - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000000, e20: 00020000, e24: 08320070
[ 2088.802758] nouveau 0000:03:00.0: gr: 00200000 [] ch 16 [000fc35000 systemd-logind[746]] subc 3 class 8397 mthd 1224 data 00000001
[ 2088.808002] nouveau 0000:03:00.0: gr: magic set 0:
[ 2088.808009] nouveau 0000:03:00.0: gr: 	00408604: 80087f0f
[ 2088.808012] nouveau 0000:03:00.0: gr: 	00408608: 20ff2020
[ 2088.808014] nouveau 0000:03:00.0: gr: 	0040860c: 40000430
[ 2088.808016] nouveau 0000:03:00.0: gr: 	00408610: 20200000
[ 2088.808020] nouveau 0000:03:00.0: gr: TRAP_TEXTURE - TP0: 00000003 [ FAULT]
[ 2088.808024] nouveau 0000:03:00.0: gr: 00200000 [] ch 16 [000fc35000 systemd-logind[746]] subc 3 class 8397 mthd 0f04 data 3ecccccd
[ 2088.808033] nouveau 0000:03:00.0: fb: trapped read at 20ff202000 on channel 16 [0fc35000 systemd-logind[746]] engine 00 [PGRAPH] client 0a [TEXTURE] subclient 00 [] reason 00000000 [PT_NOT_PRESENT]
[ 3367.262742] nouveau 0000:03:00.0: imem: PRAMIN exhausted
Comment 7 Stefano Biagiotti 2017-11-29 17:49:02 EST
01:00.0 VGA compatible controller: NVIDIA Corporation GT215 [GeForce GT 320] (rev a2)

xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64

[ 1262.018067] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 1262.052818] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 1262.060692] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 1262.071839] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 1276.084136] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 1276.115752] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 1276.125797] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 1276.136030] nouveau 0000:01:00.0: imem: PRAMIN exhausted
[ 2061.022173] nouveau 0000:01:00.0: gr: TRAP_M2MF 00000004 [OUT]
[ 2061.022181] nouveau 0000:01:00.0: gr: TRAP_M2MF 00340141 4047f000 00000000 05000430
[ 2061.022185] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 5 class 5039 mthd 0328 data 00000000
[ 2061.022196] nouveau 0000:01:00.0: fb: trapped write at 0040460000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 03 [DISPATCH] subclient 05 [M2M_OUT] reason 00000002 [PAGE_NOT_PRESENT]
[ 2061.038949] nouveau 0000:01:00.0: gr: TRAP_M2MF 00000004 [OUT]
[ 2061.038958] nouveau 0000:01:00.0: gr: TRAP_M2MF 00340141 4047f000 00000000 05000430
[ 2061.038963] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 5 class 5039 mthd 0328 data 00000000
[ 2061.038976] nouveau 0000:01:00.0: fb: trapped write at 0040460000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 03 [DISPATCH] subclient 05 [M2M_OUT] reason 00000002 [PAGE_NOT_PRESENT]
[ 2061.057701] nouveau 0000:01:00.0: gr: TRAP_M2MF 00000004 [OUT]
[ 2061.057710] nouveau 0000:01:00.0: gr: TRAP_M2MF 00340141 4047f000 00000000 05000430
[ 2061.057715] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 5 class 5039 mthd 0328 data 00000000
[ 2061.057727] nouveau 0000:01:00.0: fb: trapped write at 0040460000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 03 [DISPATCH] subclient 05 [M2M_OUT] reason 00000002 [PAGE_NOT_PRESENT]
[ 2061.073337] nouveau 0000:01:00.0: gr: TRAP_M2MF 00000004 [OUT]
[ 2061.073347] nouveau 0000:01:00.0: gr: TRAP_M2MF 00340141 4047f000 00000000 05000430
[ 2061.073351] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 5 class 5039 mthd 0328 data 00000000
[ 2061.073362] nouveau 0000:01:00.0: fb: trapped write at 0040460000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 03 [DISPATCH] subclient 05 [M2M_OUT] reason 00000002 [PAGE_NOT_PRESENT]
[ 2061.090692] nouveau 0000:01:00.0: gr: TRAP_M2MF 00000004 [OUT]
[ 2061.090702] nouveau 0000:01:00.0: gr: TRAP_M2MF 00340141 4047f000 00000000 05000430
[ 2061.090706] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 5 class 5039 mthd 0328 data 00000000
[ 2061.090717] nouveau 0000:01:00.0: fb: trapped write at 0040460000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 03 [DISPATCH] subclient 05 [M2M_OUT] reason 00000002 [PAGE_NOT_PRESENT]
[ 2061.107922] nouveau 0000:01:00.0: gr: TRAP_M2MF 00000004 [OUT]
[ 2061.107932] nouveau 0000:01:00.0: gr: TRAP_M2MF 00340141 4047f000 00000000 05000430
[ 2061.107938] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 5 class 5039 mthd 0328 data 00000000
[ 2061.107952] nouveau 0000:01:00.0: fb: trapped write at 0040460000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 03 [DISPATCH] subclient 05 [M2M_OUT] reason 00000002 [PAGE_NOT_PRESENT]
[ 2061.124765] nouveau 0000:01:00.0: gr: TRAP_M2MF 00000004 [OUT]
[ 2061.124773] nouveau 0000:01:00.0: gr: TRAP_M2MF 00340141 4047f000 00000000 05000430
[ 2061.124777] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 5 class 5039 mthd 0328 data 00000000
[ 2061.124789] nouveau 0000:01:00.0: fb: trapped write at 0040460000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 03 [DISPATCH] subclient 05 [M2M_OUT] reason 00000002 [PAGE_NOT_PRESENT]
[ 2066.663904] nouveau 0000:01:00.0: gr: magic set 0:
[ 2066.663910] nouveau 0000:01:00.0: gr: 	00408604: 2008bf0f
[ 2066.663912] nouveau 0000:01:00.0: gr: 	00408608: 00402530
[ 2066.663914] nouveau 0000:01:00.0: gr: 	0040860c: 40000430
[ 2066.663916] nouveau 0000:01:00.0: gr: 	00408610: 25000000
[ 2066.663918] nouveau 0000:01:00.0: gr: TRAP_TEXTURE - TP0: 00000003 [ FAULT]
[ 2066.663920] nouveau 0000:01:00.0: gr: magic set 1:
[ 2066.663922] nouveau 0000:01:00.0: gr: 	00408e04: 2008bf0f
[ 2066.663924] nouveau 0000:01:00.0: gr: 	00408e08: 00402600
[ 2066.663926] nouveau 0000:01:00.0: gr: 	00408e0c: 40000430
[ 2066.663928] nouveau 0000:01:00.0: gr: 	00408e10: 25000000
[ 2066.663929] nouveau 0000:01:00.0: gr: TRAP_TEXTURE - TP1: 00000003 [ FAULT]
[ 2066.663931] nouveau 0000:01:00.0: gr: magic set 2:
[ 2066.663933] nouveau 0000:01:00.0: gr: 	00409604: 2008bf0f
[ 2066.663935] nouveau 0000:01:00.0: gr: 	00409608: 004025e0
[ 2066.663937] nouveau 0000:01:00.0: gr: 	0040960c: 40000430
[ 2066.663939] nouveau 0000:01:00.0: gr: 	00409610: 25000000
[ 2066.663940] nouveau 0000:01:00.0: gr: TRAP_TEXTURE - TP2: 00000003 [ FAULT]
[ 2066.663944] nouveau 0000:01:00.0: gr: 00200000 [] ch 18 [003e53c000 Xwayland[1694]] subc 3 class 8597 mthd 0f04 data 00000000
[ 2066.663953] nouveau 0000:01:00.0: fb: trapped read at 0040253000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 0a [TEXTURE] subclient 00 [] reason 00000002 [PAGE_NOT_PRESENT]
[ 2066.668784] nouveau 0000:01:00.0: fb: trapped read at 0040280700 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 0a [TEXTURE] subclient 00 [] reason 00000002 [PAGE_NOT_PRESENT]
[ 2070.178050] nouveau 0000:01:00.0: fb: trapped read at 004025c000 on channel 18 [3e53c000 Xwayland[1694]] engine 00 [PGRAPH] client 0a [TEXTURE] subclient 00 [] reason 00000002 [PAGE_NOT_PRESENT]
Comment 8 Victor Paléologue 2018-01-17 12:04:50 EST
I had it too, and it is still there after upgrading to Fedora 27.

Using the driver:
xorg-x11-drv-nouveau-1:1.0.15-3.fc27.x86_64
on kernel:
4.14.13-300.fc27.x86_64
for a VGA compatible controller:
NVIDIA Corporation G98 [Quadro NVS 295] (rev a1)

I'm pretty sure it is the cause of some full freeze of the system (no more access to the other ttys!), but I cannot prove it.
Comment 9 Fedora End Of Life 2018-05-03 03:52:16 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2018-05-29 08:13:40 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.